com.sun.jna.platform.win32

## Class WinNT.PROCESSOR_CACHE_TYPE

- java.lang.Object
- - com.sun.jna.platform.win32.WinNT.PROCESSOR_CACHE_TYPE

Enclosing interface:
  WinNT

    public abstract static class WinNT.PROCESSOR_CACHE_TYPE
    extends java.lang.Object

Represents the type of processor cache identifier in the corresponding `WinNT.CACHE_DESCRIPTOR` structure.

### Field Summary

Fields
`static int` `CacheData` The cache is for data.
`static int` `CacheInstruction` The cache is for processor instructions.
`static int` `CacheTrace` The cache is for traces.
`static int` `CacheUnified` The cache is unified.

### Constructor Summary

Constructors
Constructor and Description
`PROCESSOR_CACHE_TYPE()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CacheUnified

    public static int CacheUnified

The cache is unified.

#### CacheInstruction

    public static int CacheInstruction

The cache is for processor instructions.

#### CacheData

    public static int CacheData

The cache is for data.

#### CacheTrace

    public static int CacheTrace

The cache is for traces.

### Constructor Detail

#### PROCESSOR_CACHE_TYPE

    public PROCESSOR_CACHE_TYPE()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.